Bug 87356 - CONDITIONAL FORMATTING: Solid color and 3D gradient data bars
Summary: CONDITIONAL FORMATTING: Solid color and 3D gradient data bars
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Katarina Behrens
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2014-12-16 10:19 UTC by Yousuf Philips (jay)
Modified: 2015-05-23 12:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
gradient and solid data bars in excel (7.74 KB, image/png)
2014-12-16 10:19 UTC, Yousuf Philips (jay)
Details
3D data bars (8.82 KB, image/png)
2014-12-16 10:29 UTC, Yousuf Philips (jay)
Details
excel 2010 data bar dialog (12.40 KB, image/png)
2014-12-16 10:58 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-12-16 10:19:03 UTC
Created attachment 110898 [details]
gradient and solid data bars in excel

Presently, conditional formatting data bars are colored as gradients from a particular color to white and it would be useful to also have the option for the data bar to be a solid color.

In addition to coding the data bar be a solid color rather than a gradient, the ability to change between solid color and gradient should be added to the conditional formatting dialog (attachment 109791 [details]), likely in the form of a drop down control. Additionally, this feature switch/toggle would likely been needed to be added to the ODF format.

This feature is available in Excel 2010+ and having this feature would also improve MSO compatibility.
Comment 1 Yousuf Philips (jay) 2014-12-16 10:29:03 UTC
Created attachment 110899 [details]
3D data bars

In addition to solid data bars, another option that could be added is 3D looking data bars by adding a 1 or 2 pixel inner bevel effect to the data bars. Mockups in the attached image.
Comment 2 Yousuf Philips (jay) 2014-12-16 10:58:02 UTC
Created attachment 110901 [details]
excel 2010 data bar dialog

Was digging through Excel's data bar features and noticed that they also have a feature to hide the field's value called 'Show Bar Only'.
Comment 3 Buovjaga 2014-12-16 11:02:12 UTC
Sounds good to me, setting to NEW.
Comment 4 Commit Notification 2015-02-05 22:05:40 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=076b098ddf80fc78773d3ed97b7fd50dbcb4ebb6

Related tdf#87356: import data bar [non-]gradient from OOXML

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Katarina Behrens 2015-02-06 10:26:06 UTC
Those two commit notifications weren't added:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=552f754ab9d9f0fedd73d5328618315ec774d3d6
http://cgit.freedesktop.org/libreoffice/core/commit/?id=d52ac7508ca87f5acb16dc0539d1814915847925

Since now UI for switching between gradient and solid fill is there + export/import works both for ODF and OOXML, I'm setting this to fixed
Comment 6 Yousuf Philips (jay) 2015-02-07 11:52:23 UTC
Thanks Katarina for fixing this in both the UI and filters.

I've sent in a patch for some minor tweaks.
https://gerrit.libreoffice.org/14358
Comment 7 Mike §chinagl 2015-05-21 15:47:52 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

UI for Data bars with a solid background. (feature without UI has been available since 3.6) tdf#87356 (Katarina Behrens)